## ConstituteImage

ConstituteImage() returns an image from the pixel data you supply. The pixel data must be in scanline order top-to-bottom. The data can be char, short int, int, float, or double. Float and double require the pixels to be normalized [0..1], otherwise [0..QuantumRange]. For example, to create a 640x480 image from unsigned red-green-blue character data, use:

      image = ConstituteImage(640,480,"RGB",CharPixel,pixels,&exception);

The format of the ConstituteImage method is:

      Image *ConstituteImage(const unsigned long columns,
        const unsigned long rows,const char *map,const StorageType storage,
        const void *pixels,ExceptionInfo *exception)

A description of each parameter follows:

##### columns

width in pixels of the image.

##### rows

height in pixels of the image.

##### map

This string reflects the expected ordering of the pixel array. It can be any combination or order of R = red, G = green, B = blue, A = alpha (0 is transparent), O = opacity (0 is opaque), C = cyan, Y = yellow, M = magenta, K = black, I = intensity (for grayscale), P = pad.

##### storage

Define the data type of the pixels. Float and double types are expected to be normalized [0..1] otherwise [0..QuantumRange]. Choose from these types: CharPixel, DoublePixel, FloatPixel, IntegerPixel, LongPixel, QuantumPixel, or ShortPixel.

##### pixels

This array of values contain the pixel components as defined by map and type. You must preallocate this array where the expected length varies depending on the values of width, height, map, and type.

##### exception

Return any errors or warnings in this structure.

## PingImage

PingImage() returns all the properties of an image or image sequence except for the pixels. It is much faster and consumes far less memory than ReadImage(). On failure, a NULL image is returned and exception describes the reason for the failure.

The format of the PingImage method is:

      Image *PingImage(const ImageInfo *image_info,ExceptionInfo *exception)

A description of each parameter follows:

##### image_info

Ping the image defined by the file or filename members of this structure.

##### exception

Return any errors or warnings in this structure.

## ReadImage

ReadImage() reads an image or image sequence from a file or file handle. The method returns a NULL if there is a memory shortage or if the image cannot be read. On failure, a NULL image is returned and exception describes the reason for the failure.

The format of the ReadImage method is:

      Image *ReadImage(const ImageInfo *image_info,ExceptionInfo *exception)

A description of each parameter follows:

##### image_info

Read the image defined by the file or filename members of this structure.

##### exception

Return any errors or warnings in this structure.

## WriteImage

WriteImage() writes an image or an image sequence to a file or filehandle. If writing to a file on disk, the name is defined by the filename member of the image structure. Write() returns MagickFalse is these is a memory shortage or if the image cannot be written. Check the exception member of image to determine the cause for any failure.

The format of the WriteImage method is:

      MagickBooleanType WriteImage(const ImageInfo *image_info,Image *image)

A description of each parameter follows:

##### image_info

the image info.

##### image

the image.

## WriteImages

WriteImages() writes an image sequence.

The format of the WriteImages method is:

      MagickBooleanType WriteImages(const ImageInfo *image_info,Image *images,
        const char *filename,ExceptionInfo *exception)

A description of each parameter follows:

##### image_info

the image info.

##### images

the image list.

##### filename

the image filename.

##### exception

Return any errors or warnings in this structure.

Discourse Server • Mailing Lists • Cafe • Studio